package com.fjhx.victoriatourist.entity.logistics;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

@Getter
@Setter
public class LogisticsInfosExcelBo {
    @ColumnWidth(15)
    @ExcelProperty("数据来源")
    private String businessType;

    @ColumnWidth(25)
    @ExcelProperty("关联单号")
    private String businessCode;

    @ColumnWidth(15)
    @ExcelProperty("项目组")
    private String deptName;

    @ColumnWidth(20)
    @ExcelProperty("物流/快递公司")
    private String logisticsCompanyName;

    @ColumnWidth(20)
    @ExcelProperty("物流/快递单号")
    private String code;

    @ColumnWidth(15)
    @ExcelProperty("物流状态")
    private String logisticsStatus;

    @ColumnWidth(20)
    @ExcelProperty("创建时间")
    private Date createTime;

    @ColumnWidth(20)
    @ExcelProperty("到货物流备注")
    private String arrivalRemark;

    @ExcelIgnore
    List<LogisticsProductInfo> logisticsProductInfoList;
    @ColumnWidth(20)
    @ExcelProperty("SKU")
    private String sku;

    @ColumnWidth(20)
    @ExcelProperty("货物名称")
    private String productName;

    @ColumnWidth(20)
    @ExcelProperty("采购实发数量")
    private String quantity;

}
